summaryrefslogtreecommitdiffstats
path: root/system/cdemu-client/cdemu-client.SlackBuild
diff options
context:
space:
mode:
author Niels Horn2013-04-08 01:22:53 +0200
committer Robby Workman2013-04-16 00:20:33 +0200
commitce0fe56f92ef01a6f375f6b41b50fd3739e6b4f6 (patch)
treebdc339ad21a34323066da68d3c23d1a51cfc78bc /system/cdemu-client/cdemu-client.SlackBuild
parenta18618147f118b49e785e7b55e53f9fa03ea1a28 (diff)
downloadslackbuilds-ce0fe56f92ef01a6f375f6b41b50fd3739e6b4f6.tar.gz
system/cdemu-client: Updated for version 2.0.0.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/cdemu-client/cdemu-client.SlackBuild')
-rw-r--r--system/cdemu-client/cdemu-client.SlackBuild32
1 files changed, 17 insertions, 15 deletions
diff --git a/system/cdemu-client/cdemu-client.SlackBuild b/system/cdemu-client/cdemu-client.SlackBuild
index 40440aad8f..df3d741363 100644
--- a/system/cdemu-client/cdemu-client.SlackBuild
+++ b/system/cdemu-client/cdemu-client.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for cdemu-client
# command-line client for cdemu-daemon
-# Copyright 2010-2012 Niels Horn, Rio de Janeiro, RJ, Brazil
+# Copyright 2010-2013 Niels Horn, Rio de Janeiro, RJ, Brazil
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,10 +23,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Revision date: 2012/09/15
+# Revision date: 2013/03/31
PRGNAM=cdemu-client
-VERSION=${VERSION:-1.5.0}
+VERSION=${VERSION:-2.0.0}
ARCH=noarch
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -49,27 +49,29 @@ cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R a-s,u+rw,go+r-w .
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
- --build=$ARCH-slackware-linux
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
-make
-make install-strip DESTDIR=$PKG
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
# Create standard cdemu-client.conf
-# we'll use the system dbus instead of the session dbus
+# we'll use the session dbus
mkdir -p $PKG/etc
cat > $PKG/etc/cdemu-client.conf.new << EOF
[defaults]
-bus=system
+bus=session
EOF
mkdir -p $PKG/usr/share/{applications,pixmaps}